Do not speak Portuguese? Translate this site with Google or Bing Translator

VLC 3.0.12 lançado com correção de várias falhas de execução remota de código

Foi lançado o VLC 3.0.12 com correção de várias falhas de execução remota de código e mais. Confira todas as novidades e veja como instalar.

O player de vídeo VLC é o mais popular media player em todos os principais sistemas operacionais de desktop.

VLC media player é um reprodutor multimídia, framework, streamer e encoder que pode reproduzir arquivos, streams de rede, DVDs, CDs de áudio, Blu-Rays, dispositivos de captura, e telas.

O melhor de tudo é que o VLC pode reproduzir a maioria dos codecs e formatos de áudio e vídeo (MPEG 1/2/4, H264, VC-1, DivX, WMV, Vorbis, AC3, AAC, MKV, etc.) e também pode ser usado para converter formatos diferentes ou enviar stream através da rede.

Agora, a VideoLan lançou o VLC Media Player 3.0.12 para Windows, Mac e Linux na semana passada com inúmeras melhorias, recursos e correções de segurança.

Novidades do VLC 3.0.12

VLC 3.0.12 lançado com correção de várias falhas de execução remota de código
VLC 3.0.12 lançado com correção de várias falhas de execução remota de código

Esta versão é uma atualização significativa para usuários de Mac, pois fornece suporte nativo para Apple Silicon e corrige distorções de áudio no macOS.

Além de correções de bugs e melhorias, esta versão também corrige várias vulnerabilidades de segurança relatadas por Zhen Zhou da Equipe de Segurança NSFOCUS.

Essas vulnerabilidades de estouro de buffer ou desreferenciamento inválido “podem desencadear uma falha do VLC ou uma execução arbitrária de código com os privilégios do usuário alvo.”

De acordo com o boletim de segurança da VideoLan, um usuário remoto pode explorar esta vulnerabilidade criando arquivos de mídia especialmente criados e enganando o usuário para abri-los com o VLC.

Embora a VideoLan afirme que essa vulnerabilidade provavelmente travará o VLC Media Player, eles alertam que os invasores podem usá-lo para vazar informações ou executar comandos remotamente no dispositivo.

“Se for bem-sucedido, um terceiro mal-intencionado pode acionar uma falha do VLC ou uma execução arbitrária de código com os privilégios do usuário alvo.”

“Embora esses problemas em si tenham mais probabilidade de travar o player, não podemos excluir que eles possam ser combinados para vazar informações do usuário ou executar código remotamente. ASLR e DEP ajudam a reduzir a probabilidade de execução de código, mas podem ser contornados.”

A VideoLan afirma não ter visto explorações abusando dessas vulnerabilidades à solta.

Devido à gravidade desta vulnerabilidade e para se beneficiar das melhorias do VLC 3.0.12, é altamente recomendável que todos os usuários baixem e instalem a versão 3.0.12.

Para mais detalhes sobre essa nova versão, veja o registro completo de alterações no site Videolan.

Como instalar o VLC

O que é ótimo sobre essa atualização é que a maioria dos usuários do Ubuntu Ubuntu não precisará fazer nada para receber essa atualização automaticamente por meio do Software Updater, desde que o VLC seja instalado a partir do arquivo e não de um PPA, Snap etc.

Dito isto, você pode não estar no Ubuntu e/ou preferir usar o VLC Snap mantido pela própria Videolan. O aplicativo VLC Snap será atualizado para a versão mais recente de forma automática e silenciosa em algum momento nas próximas semanas.

Não se esqueça de que você pode verificar manualmente as atualizações do Snap executando o comando abaixo:

snap refresh

E para instalar o VLC 3.0.11, use o seguinte tutorial:
Como instalar a última versão do VLC no Linux

Compartilhe:
Sobre o Edivaldo Brito

Edivaldo Brito é analista de sistemas, gestor de TI, blogueiro e também um grande fã de sistemas operacionais, banco de dados, software livre, redes, programação, dispositivos móveis e tudo mais que envolve tecnologia.

Deixe um comentário

Esse site utiliza o Akismet para reduzir spam. Aprenda como seus dados de comentários são processados.